## %global		__requires_exclude pear\\(XML/Transformer/Tests/TestNamespace.php\\)|pear\\(XML/Transformer/Tests/TransformerTest.php\\)
%define		_class		XML
%define		_subclass	Transformer
%define		upstream_name	%{_class}_%{_subclass}
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear


Name:		php-pear-%{upstream_name}
Version:	1.1.2
Release:	%mkrel 5
Summary:	XML transformations in PHP
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/XML_Transformer/
Source0: 	http://pear.php.net/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
Requires:	php-pear  >= 1.4.0b1
Requires:	php-pear-XML_Util >= 1.1.0
BuildArch:	noarch

%description
The XML Transformer allows the binding of PHP functionality to XML tags to
transform an XML document without the need for and the limitations of XSLT.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/XML_Transformer.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/XML_Transformer.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/XML_Transformer
fi

%files
%doc docs/XML_Transformer/*
%{peardir}/*
%{xmldir}/XML_Transformer.xml


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 1.1.2-5.mga6
+ Revision: 944200
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.2-4.mga5
+ Revision: 742235
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.2-3.mga5
+ Revision: 687522
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Sat Oct 19 2013 umeabot <umeabot> 1.1.2-2.mga4
+ Revision: 528338
- Mageia 4 Mass Rebuild

* Mon Jun 17 2013 spuhler <spuhler> 1.1.2-1.mga4
+ Revision: 444228
- upgrade to version 1.1.2
- pearized spec file

* Sun Jan 13 2013 umeabot <umeabot> 1.1.1-6.mga3
+ Revision: 377464
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 30 2011 spuhler <spuhler> 1.1.1-5.mga1
+ Revision: 44469
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-XML_Transformer


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-5mdv2011.0
+ Revision: 613799
- the mass rebuild of 2010.1 packages

* Wed Nov 11 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.1.1-4mdv2010.1
+ Revision: 464968
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 1.1.1-3mdv2010.0
+ Revision: 441767
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-2mdv2009.1
+ Revision: 322991
- rebuild

* Sat Nov 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.1.1-1mdv2009.1
+ Revision: 305818
- update to new version 1.1.1

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-11mdv2009.0
+ Revision: 237171
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 26 2007 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-10mdv2008.1
+ Revision: 112114
- really fix deps

* Fri Nov 09 2007 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-9mdv2008.1
+ Revision: 107008
- PHPUnit2/PHPUnit

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.1.0-8mdv2008.0
+ Revision: 90159
- rebuild


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-7mdv2007.0
+ Revision: 82939
- Import php-pear-XML_Transformer

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-1mdk
- initial Mandriva package (PLD import)

